module Mks
  module Rent
    class RequestItem < ApplicationRecord
      belongs_to :service_bundle, class_name: 'Mks::Rate::ServiceBundle'
      belongs_to :offer_request

      validates :from, :to, :quantity, presence: true
      validates :quantity, numericality: { greater_than: 0 }

      validate :validate_date_range

      def validate_date_range
        errors.add(:from, :invalid_range, low: from, high: to) if from && to && from > to
      end

      delegate(:name, to: :service_bundle, prefix: true)
    end
  end
end