class CreateMksRentOffers < ActiveRecord::Migration[5.1]
  def change
    create_table :mks_rent_offers do |t|
      t.references :prepared_by, index: { name: 'pb_on_offers_indx' }
      t.references :offer_request, index: { name: 'or_on_offers_indx' }
      t.boolean :confirmed, null: false, default: false
      t.boolean :booked, null: false, default: false
      t.float :total_price

      t.timestamps
    end

    add_foreign_key :mks_rent_offers, :mks_auth_users, column: :prepared_by_id
    add_foreign_key :mks_rent_offers, :mks_rent_offer_requests, column: :offer_request_id
  end
end
