module Mks
  module Rent
    class Engine < ::Rails::Engine
      isolate_namespace Mks::Rent
      config.generators.api_only = true

      initializer :append_migrations do |app|
        unless app.root.to_s.match? root.to_s
          config.paths['db/migrate'].expanded.each do |expanded_path|
            app.config.paths['db/migrate'] << expanded_path
          end
        end
      end

      config.generators do |g|
        g.test_framework :rspec,
                         fixtures: true,
                         routing_specs: false,
                         helper_specs:false
        g.assets false
        g.helper false
        g.fixture_replacement :factory_bot, dir: 'spec/factories'
      end
    end
  end
end